<?php

namespace App|C\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EventMapResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:EventMapResponse
 * @subpackage Structs
 */
class EventMapResponse extends AbstractResponse
{
    /**
     * The EventMapResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\StructType\EventMapResponse
     */
    public $EventMapResult;
    /**
     * The EventMap
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\StructType\EventMap
     */
    public $EventMap;
    /**
     * Constructor method for EventMapResponse
     * @uses EventMapResponse::setEventMapResult()
     * @uses EventMapResponse::setEventMap()
     * @param \App|C\StructType\EventMapResponse $eventMapResult
     * @param \App|C\StructType\EventMap $eventMap
     */
    public function __construct(\App|C\StructType\EventMapResponse $eventMapResult = null, \App|C\StructType\EventMap $eventMap = null)
    {
        $this
            ->setEventMapResult($eventMapResult)
            ->setEventMap($eventMap);
    }
    /**
     * Get EventMapResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\StructType\EventMapResponse|null
     */
    public function getEventMapResult()
    {
        return isset($this->EventMapResult) ? $this->EventMapResult : null;
    }
    /**
     * Set EventMapResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\StructType\EventMapResponse $eventMapResult
     * @return \App|C\StructType\EventMapResponse
     */
    public function setEventMapResult(\App|C\StructType\EventMapResponse $eventMapResult = null)
    {
        if (is_null($eventMapResult) || (is_array($eventMapResult) && empty($eventMapResult))) {
            unset($this->EventMapResult);
        } else {
            $this->EventMapResult = $eventMapResult;
        }
        return $this;
    }
    /**
     * Get EventMap value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\StructType\EventMap|null
     */
    public function getEventMap()
    {
        return isset($this->EventMap) ? $this->EventMap : null;
    }
    /**
     * Set EventMap value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\StructType\EventMap $eventMap
     * @return \App|C\StructType\EventMapResponse
     */
    public function setEventMap(\App|C\StructType\EventMap $eventMap = null)
    {
        if (is_null($eventMap) || (is_array($eventMap) && empty($eventMap))) {
            unset($this->EventMap);
        } else {
            $this->EventMap = $eventMap;
        }
        return $this;
    }
}
