<?php

namespace App|C\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PrepareExchangeResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:PrepareExchangeResponse
 * @subpackage Structs
 */
class PrepareExchangeResponse extends AbstractResponse
{
    /**
     * The PrepareExchangeResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\StructType\PrepareExchangeResponse
     */
    public $PrepareExchangeResult;
    /**
     * The Booking
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\StructType\Booking
     */
    public $Booking;
    /**
     * The FareInfo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\StructType\FareInfoPrepare
     */
    public $FareInfo;
    /**
     * The OptionalSpecialServices
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\ArrayType\ArrayOfSpecialService
     */
    public $OptionalSpecialServices;
    /**
     * The SeatMaps
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\ArrayType\ArrayOfSeatMap
     */
    public $SeatMaps;
    /**
     * The Segments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\ArrayType\ArrayOfSegmentBooking
     */
    public $Segments;
    /**
     * The SpecialServices
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\ArrayType\ArrayOfSpecialService
     */
    public $SpecialServices;
    /**
     * Constructor method for PrepareExchangeResponse
     * @uses PrepareExchangeResponse::setPrepareExchangeResult()
     * @uses PrepareExchangeResponse::setBooking()
     * @uses PrepareExchangeResponse::setFareInfo()
     * @uses PrepareExchangeResponse::setOptionalSpecialServices()
     * @uses PrepareExchangeResponse::setSeatMaps()
     * @uses PrepareExchangeResponse::setSegments()
     * @uses PrepareExchangeResponse::setSpecialServices()
     * @param \App|C\StructType\PrepareExchangeResponse $prepareExchangeResult
     * @param \App|C\StructType\Booking $booking
     * @param \App|C\StructType\FareInfoPrepare $fareInfo
     * @param \App|C\ArrayType\ArrayOfSpecialService $optionalSpecialServices
     * @param \App|C\ArrayType\ArrayOfSeatMap $seatMaps
     * @param \App|C\ArrayType\ArrayOfSegmentBooking $segments
     * @param \App|C\ArrayType\ArrayOfSpecialService $specialServices
     */
    public function __construct(\App|C\StructType\PrepareExchangeResponse $prepareExchangeResult = null, \App|C\StructType\Booking $booking = null, \App|C\StructType\FareInfoPrepare $fareInfo = null, \App|C\ArrayType\ArrayOfSpecialService $optionalSpecialServices = null, \App|C\ArrayType\ArrayOfSeatMap $seatMaps = null, \App|C\ArrayType\ArrayOfSegmentBooking $segments = null, \App|C\ArrayType\ArrayOfSpecialService $specialServices = null)
    {
        $this
            ->setPrepareExchangeResult($prepareExchangeResult)
            ->setBooking($booking)
            ->setFareInfo($fareInfo)
            ->setOptionalSpecialServices($optionalSpecialServices)
            ->setSeatMaps($seatMaps)
            ->setSegments($segments)
            ->setSpecialServices($specialServices);
    }
    /**
     * Get PrepareExchangeResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\StructType\PrepareExchangeResponse|null
     */
    public function getPrepareExchangeResult()
    {
        return isset($this->PrepareExchangeResult) ? $this->PrepareExchangeResult : null;
    }
    /**
     * Set PrepareExchangeResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\StructType\PrepareExchangeResponse $prepareExchangeResult
     * @return \App|C\StructType\PrepareExchangeResponse
     */
    public function setPrepareExchangeResult(\App|C\StructType\PrepareExchangeResponse $prepareExchangeResult = null)
    {
        if (is_null($prepareExchangeResult) || (is_array($prepareExchangeResult) && empty($prepareExchangeResult))) {
            unset($this->PrepareExchangeResult);
        } else {
            $this->PrepareExchangeResult = $prepareExchangeResult;
        }
        return $this;
    }
    /**
     * Get Booking value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\StructType\Booking|null
     */
    public function getBooking()
    {
        return isset($this->Booking) ? $this->Booking : null;
    }
    /**
     * Set Booking value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\StructType\Booking $booking
     * @return \App|C\StructType\PrepareExchangeResponse
     */
    public function setBooking(\App|C\StructType\Booking $booking = null)
    {
        if (is_null($booking) || (is_array($booking) && empty($booking))) {
            unset($this->Booking);
        } else {
            $this->Booking = $booking;
        }
        return $this;
    }
    /**
     * Get FareInfo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\StructType\FareInfoPrepare|null
     */
    public function getFareInfo()
    {
        return isset($this->FareInfo) ? $this->FareInfo : null;
    }
    /**
     * Set FareInfo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\StructType\FareInfoPrepare $fareInfo
     * @return \App|C\StructType\PrepareExchangeResponse
     */
    public function setFareInfo(\App|C\StructType\FareInfoPrepare $fareInfo = null)
    {
        if (is_null($fareInfo) || (is_array($fareInfo) && empty($fareInfo))) {
            unset($this->FareInfo);
        } else {
            $this->FareInfo = $fareInfo;
        }
        return $this;
    }
    /**
     * Get OptionalSpecialServices value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\ArrayType\ArrayOfSpecialService|null
     */
    public function getOptionalSpecialServices()
    {
        return isset($this->OptionalSpecialServices) ? $this->OptionalSpecialServices : null;
    }
    /**
     * Set OptionalSpecialServices value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\ArrayType\ArrayOfSpecialService $optionalSpecialServices
     * @return \App|C\StructType\PrepareExchangeResponse
     */
    public function setOptionalSpecialServices(\App|C\ArrayType\ArrayOfSpecialService $optionalSpecialServices = null)
    {
        if (is_null($optionalSpecialServices) || (is_array($optionalSpecialServices) && empty($optionalSpecialServices))) {
            unset($this->OptionalSpecialServices);
        } else {
            $this->OptionalSpecialServices = $optionalSpecialServices;
        }
        return $this;
    }
    /**
     * Get SeatMaps value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\ArrayType\ArrayOfSeatMap|null
     */
    public function getSeatMaps()
    {
        return isset($this->SeatMaps) ? $this->SeatMaps : null;
    }
    /**
     * Set SeatMaps value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\ArrayType\ArrayOfSeatMap $seatMaps
     * @return \App|C\StructType\PrepareExchangeResponse
     */
    public function setSeatMaps(\App|C\ArrayType\ArrayOfSeatMap $seatMaps = null)
    {
        if (is_null($seatMaps) || (is_array($seatMaps) && empty($seatMaps))) {
            unset($this->SeatMaps);
        } else {
            $this->SeatMaps = $seatMaps;
        }
        return $this;
    }
    /**
     * Get Segments value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\ArrayType\ArrayOfSegmentBooking|null
     */
    public function getSegments()
    {
        return isset($this->Segments) ? $this->Segments : null;
    }
    /**
     * Set Segments value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\ArrayType\ArrayOfSegmentBooking $segments
     * @return \App|C\StructType\PrepareExchangeResponse
     */
    public function setSegments(\App|C\ArrayType\ArrayOfSegmentBooking $segments = null)
    {
        if (is_null($segments) || (is_array($segments) && empty($segments))) {
            unset($this->Segments);
        } else {
            $this->Segments = $segments;
        }
        return $this;
    }
    /**
     * Get SpecialServices value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\ArrayType\ArrayOfSpecialService|null
     */
    public function getSpecialServices()
    {
        return isset($this->SpecialServices) ? $this->SpecialServices : null;
    }
    /**
     * Set SpecialServices value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\ArrayType\ArrayOfSpecialService $specialServices
     * @return \App|C\StructType\PrepareExchangeResponse
     */
    public function setSpecialServices(\App|C\ArrayType\ArrayOfSpecialService $specialServices = null)
    {
        if (is_null($specialServices) || (is_array($specialServices) && empty($specialServices))) {
            unset($this->SpecialServices);
        } else {
            $this->SpecialServices = $specialServices;
        }
        return $this;
    }
}
