<?php

namespace App|C\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SeatColumn StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SeatColumn
 * @subpackage Structs
 */
class SeatColumn extends ApiObject
{
    /**
     * The Seats
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \App|C\ArrayType\ArrayOfSeat
     */
    public $Seats;
    /**
     * Constructor method for SeatColumn
     * @uses SeatColumn::setSeats()
     * @param \App|C\ArrayType\ArrayOfSeat $seats
     */
    public function __construct(\App|C\ArrayType\ArrayOfSeat $seats = null)
    {
        $this
            ->setSeats($seats);
    }
    /**
     * Get Seats value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App|C\ArrayType\ArrayOfSeat|null
     */
    public function getSeats()
    {
        return isset($this->Seats) ? $this->Seats : null;
    }
    /**
     * Set Seats value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \App|C\ArrayType\ArrayOfSeat $seats
     * @return \App|C\StructType\SeatColumn
     */
    public function setSeats(\App|C\ArrayType\ArrayOfSeat $seats = null)
    {
        if (is_null($seats) || (is_array($seats) && empty($seats))) {
            unset($this->Seats);
        } else {
            $this->Seats = $seats;
        }
        return $this;
    }
}
